<?php

// SMF 2.0.2 Subs.php call_integration_hook('integrate_bbc_codes', array(&$codes));
function youtube_bbc_codes(&$codes)
{
    $ary = array(
        array(
            'tag' => 'youtube',
            'type' => 'unparsed_content',
            'content' => '<iframe style="border:0;" width="642" height="392" src="http://www.youtube.com/embed/$1" allowfullscreen></iframe>',
            'validate' => create_function('&$tag, &$data, $disabled', '
   
            if (isset($disabled[\'url\']))
                $tag[\'content\'] = \'http://www.youtube.com/watch?v=$1\';

            $pattern = \'~(?:http|https|)(?::\/\/|)(?:www.|)(?:youtu\.be\/|youtube\.com(?:\/embed\/|\/v\/|\/watch\?v=|\/ytscreeningroom\?v=|\/feeds\/api\/videos\/|\/user\S*[^\w\-\s]|\S*[^\w\-\s]))([\w\-]{11})[a-z0-9;:@?&%=+\/\$_.-]*~i\';
            
            if (preg_match($pattern, $data, $matches))
                $data = $matches[1];'),
            'disabled_content' => 'http://www.youtube.com/watch?v=$1',
        ),
    );
    $codes = array_merge($codes, $ary);
}

// SMF 2.0.2 Subs-Editor.php call_integration_hook('integrate_bbc_buttons', array(&$context['bbc_tags']));
function youtube_bbc_buttons(&$bbc_tags)
{
    global $txt;

    loadLanguage('Youtube');

    $bbc_tags[count($bbc_tags) - 1][] = array(
        'image' => 'youtube',
        'code' => 'youtube',
        'before' => '[youtube]',
        'after' => '[/youtube]',
        'description' => $txt['bbc_youtube']
    );
}
